Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.cataloguemanager.model
Class CIAddress

    java.lang.Object
      org.deegree.portal.cataloguemanager.model.CIAddress

    public class CIAddress

extends Object

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{http://www.isotc211.org/2005/gmd}deliveryPoint"/>
             <element ref="{http://www.isotc211.org/2005/gmd}city"/>
             <element ref="{http://www.isotc211.org/2005/gmd}postalCode"/>
             <element ref="{http://www.isotc211.org/2005/gmd}country"/>
             <element ref="{http://www.isotc211.org/2005/gmd}electronicMailAddress"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected City` | `city`
`protected Country` | `country`
`protected DeliveryPoint` | `deliveryPoint`
`protected ElectronicMailAddress` | `electronicMailAddress`
`protected PostalCode` | `postalCode`

Constructor Summary
`CIAddress()`

Method Summary
`City` | `getCity()` Gets the value of the city property.
`Country` | `getCountry()` Gets the value of the country property.
`DeliveryPoint` | `getDeliveryPoint()` Gets the value of the deliveryPoint property.
`ElectronicMailAddress` | `getElectronicMailAddress()` Gets the value of the electronicMailAddress property.
`PostalCode` | `getPostalCode()` Gets the value of the postalCode property.
`void` | `setCity(City value)` Sets the value of the city property.
`void` | `setCountry(Country value)` Sets the value of the country property.
`void` | `setDeliveryPoint(DeliveryPoint value)` Sets the value of the deliveryPoint property.
`void` | `setElectronicMailAddress(ElectronicMailAddress value)` Sets the value of the electronicMailAddress property.
`void` | `setPostalCode(PostalCode value)` Sets the value of the postalCode property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### deliveryPoint

    protected DeliveryPoint deliveryPoint

### city

    protected City city

### postalCode

    protected PostalCode postalCode

### country

    protected Country country

### electronicMailAddress

    protected ElectronicMailAddress electronicMailAddress

Constructor Detail

### CIAddress

    public CIAddress()

Method Detail

### getDeliveryPoint

    public DeliveryPoint getDeliveryPoint()

  Gets the value of the deliveryPoint property.

  Returns:
    possible object is `DeliveryPoint`

### setDeliveryPoint

    public void setDeliveryPoint(DeliveryPoint value)

  Sets the value of the deliveryPoint property.

  Parameters:
    `value` - allowed object is `DeliveryPoint`

### getCity

    public City getCity()

  Gets the value of the city property.

  Returns:
    possible object is `City`

### setCity

    public void setCity(City value)

  Sets the value of the city property.

  Parameters:
    `value` - allowed object is `City`

### getPostalCode

    public PostalCode getPostalCode()

  Gets the value of the postalCode property.

  Returns:
    possible object is `PostalCode`

### setPostalCode

    public void setPostalCode(PostalCode value)

  Sets the value of the postalCode property.

  Parameters:
    `value` - allowed object is `PostalCode`

### getCountry

    public Country getCountry()

  Gets the value of the country property.

  Returns:
    possible object is `Country`

### setCountry

    public void setCountry(Country value)

  Sets the value of the country property.

  Parameters:
    `value` - allowed object is `Country`

### getElectronicMailAddress

    public ElectronicMailAddress getElectronicMailAddress()

  Gets the value of the electronicMailAddress property.

  Returns:
    possible object is `ElectronicMailAddress`

### setElectronicMailAddress

    public void setElectronicMailAddress(ElectronicMailAddress value)

  Sets the value of the electronicMailAddress property.

  Parameters:
    `value` - allowed object is `ElectronicMailAddress`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org